#!/usr/bin/env bash
set -e

PROJECT="$HOME/esarobotech/r1"
CONDA="$HOME/miniconda3"

INTERFACE="${1:-enp3s0}"

source "$CONDA/etc/profile.d/conda.sh"
conda activate ai_robot

cd "$PROJECT"

echo "[R1] Starting motion controller"
echo "[R1] Mode: person head tracking"
echo "[R1] Interface: $INTERFACE"

exec ./build/r1_motion_node \
    "$INTERFACE"
